/*
 * DNDTableConstraint.java
 *
 * Created on 24. únor 2001, 11:32
 */

package timetable.gui;

/**
 *
 * @author  Administrator
 * @version 
 */
public interface DNDTableEngine {
    public boolean canDrag(int row, int column,javax.swing.JTable source);
    public void drag(int row, int column,javax.swing.JTable source);
    public boolean canDrop(int row, int column,javax.swing.JTable target);
    public void drop(int row,int column,javax.swing.JTable target);
    public void done();
    public void addDNDListener(DNDListener l);
    public void removeDNDListener(DNDListener l);
}


